Subject: Re: bug#60564: [PATCH] scripts: refresh: Add -T option.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 11 Jan 2023 14:43:59 -0500

Hi,

jgart <[email-masked]> writes:

> * doc/guix.texi (Invoking guix refresh): Document the -T option.
> * guix/scripts/refresh.scm (%options): Add the -T flag.
> ---
>  doc/guix.texi            | 1 +
>  guix/scripts/refresh.scm | 4 ++--
>  2 files changed, 3 insertions(+), 2 deletions(-)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 96b4675a01..e3ecf1f148 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -14197,6 +14197,7 @@ for compatibility with an upgraded @code{flex} package.
>  @table @code
>  
>  @item --list-transitive
> +@item --T

The above should be -T, right?

I wonder if this option is common enough to need a dedicated short
switch?  I use it sparingly myself; typically I use '-l' to know which
packages I'd impact.

The rest looks OK.

-- 
Thanks,
Maxim